import bb.cascades 1.2
import bb.system 1.2

Sheet {
    Page {
        titleBar: TitleBar {
            id: title_bar
            title: qsTr("About") + Retranslate.onLocaleOrLanguageChanged
            dismissAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLocaleOrLanguageChanged
                onTriggered: {
                    parent.parent.parent.close();
                }
            }
        }
        attachedObjects: [
            Invocation {
                id: shareQuery
                query {
                    mimeType: "text/plain"
                    data: qsTr("Password protect your notes and keep them secure with Secure Notes http://appworld.blackberry.com/webstore/content/59948562 from FileArchiveHaven http://appworld.blackberry.com/webstore/vendor/18376") + Retranslate.onLocaleOrLanguageChanged
                }
            }  
        ]
        actions: [
            ActionItem {
                title: qsTr("Share App") + Retranslate.onLocaleOrLanguageChanged
                imageSource: "asset:///icons/a_share.png"
                ActionBar.placement: ActionBarPlacement.InOverflow
                shortcuts: [ Shortcut { key: "S" }, Shortcut { key: "s" }]            
                onTriggered: {
                    shareQuery.trigger("bb.action.SHARE")
                }   
            }
        ]
        Container {
            rightPadding: 10
            leftPadding: 10
            topPadding: 10      
            Container {
                layout: StackLayout {

                }
                TextArea {
                    text: qsTr("<b>About Secure Notes</b>\n\nSecure notes was created as a simple way to encrypt, password protect, restore and retrieve sensitive notes and data.\n\nIf you lose your password, it cannot be recovered (this is a security feature and an intended design).  To recover the application you will need to re-install (this will remove all notes stored in the application).\n\nChief Designer: <a href='https://twitter.com/PolemicalTweets'>Alejandro Díaz</a>\n\nAdditional Changes:  <a href='https://twitter.com/kerm_ed'>Lloyd Summers</a>\n\n<b>Translations</b>\n\nFrench:  <a href='https://appworld.blackberry.com/webstore/vendor/70290'>Roger LeBlanc</a>")
                    editable: false
                    textFormat: TextFormat.Html
                    scrollMode: TextAreaScrollMode.Elastic
                    textFilter: SingleLineTextFilter {

                    }

                }
            }
        }
    }
}