import bb.cascades 1.2
import bb.system 1.2

Sheet {
    Page {
        titleBar: TitleBar {
            id: title_bar
            title: qsTr("Settings") + Retranslate.onLocaleOrLanguageChanged
            dismissAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLocaleOrLanguageChanged
                onTriggered: {
                    parent.parent.parent.close();
                }
            }
        }
        attachedObjects: [
            SystemPrompt {
                title: qsTr("Enter Password:") + Retranslate.onLocaleOrLanguageChanged
                id: pass_prompt
                inputField.inputMode: SystemUiInputMode.Password
                onFinished: {
                    if(result == SystemUiResult.ConfirmButtonSelection){
                        if(pass_check.checked){
                            app.setPassword(inputFieldTextEntry());
                            app.togglePassword();
                        }
                        else{
                            if(!app.authenticate(inputFieldTextEntry())){
                                pass_check.created = false;
                                pass_check.checked = true;
                            }
                            else{
                                app.togglePassword();
                                
                            }
                        }
                    }
                    else{
                        pass_check.created = false;
                        pass_check.checked = !pass_check.checked;
                    }
                }
            },
            Invocation {
                id: shareQuery
                query {
                    mimeType: "text/plain"
                    data: qsTr("Password protect your notes and keep them secure with Secure Notes http://appworld.blackberry.com/webstore/content/59948562 from FileArchiveHaven http://appworld.blackberry.com/webstore/vendor/18376") + Retranslate.onLocaleOrLanguageChanged
                }
            }  
        ]
        actions: [
            ActionItem {
                title: qsTr("Share App") + Retranslate.onLocaleOrLanguageChanged
                imageSource: "asset:///icons/a_share.png"
                ActionBar.placement: ActionBarPlacement.InOverflow
                shortcuts: [ Shortcut { key: "S" }, Shortcut { key: "s" }]            
                onTriggered: {
                    shareQuery.trigger("bb.action.SHARE")
                }   
            }
        ]
        Container {
            rightPadding: 10
            leftPadding: 10
            topPadding: 10
            Container {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                Label {
                    text: qsTr("Password") + Retranslate.onLocaleOrLanguageChanged
                }
                ToggleButton {
                    property bool created: false
                    onCreationCompleted: {
                        created = true;
                    }
                    id: pass_check
                    checked: app.getPasswordStatus();
                    horizontalAlignment: HorizontalAlignment.Right
                    verticalAlignment: VerticalAlignment.Center
                    onCheckedChanged: {
                        if(created){
                            pass_prompt.show();
                        }
                        else{
                            created = true;
                        }
                    }
                }
            }
            Container {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                Label {
                    text: qsTr("Lock On Minimize") + Retranslate.onLocaleOrLanguageChanged
                }
                ToggleButton {
                    id: pass_enable_minimized
                    checked: app.getValueFor("pwdLockMinimized", "false")
                    horizontalAlignment: HorizontalAlignment.Right
                    verticalAlignment: VerticalAlignment.Center
                    onCheckedChanged: {
                        app.setValueFor("pwdLockMinimized", checked.toString())
                        app.toggleMinimizedSignal(pass_enable_minimized.checked);
                    }                
                }
            }
        }
    }
}